Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillDatasetScriptlet

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractScriptlet
          net.sf.jasperreports.engine.fill.JRFillDatasetScriptlet

    public class JRFillDatasetScriptlet

extends JRAbstractScriptlet

Version:
  $Id: JRFillDatasetScriptlet.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet
`fieldsMap, groups, parametersMap, variablesMap`

Constructor Summary
`JRFillDatasetScriptlet(JRFillDataset dataset)`

Method Summary
`void` | `afterColumnInit()` Called after each column is initialized.
`void` | `afterDetailEval()` Called after evaluating each detail.
`void` | `afterGroupInit(java.lang.String groupName)` Called after a group is initialized.
`void` | `afterPageInit()` Called after each page is initialized.
`void` | `afterReportInit()` Called after the report is initialized.
`void` | `beforeColumnInit()` Called before each column is initialized.
`void` | `beforeDetailEval()` Called before evaluating each detail.
`void` | `beforeGroupInit(java.lang.String groupName)` Called before a group is initialized.
`void` | `beforePageInit()` Called before each page is initialized.
`void` | `beforeReportInit()` Called before the report is initialized.
`void` | `setData(java.util.Map parsm, java.util.Map fldsm, java.util.Map varsm, JRFillGroup[] grps)`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet
`callAfterColumnInit, callAfterDetailEval, callAfterGroupInit, callAfterPageInit, callAfterReportInit, callBeforeColumnInit, callBeforeDetailEval, callBeforeGroupInit, callBeforePageInit, callBeforeReportInit, getFieldValue, getParameterValue, getParameterValue, getVariableValue, setVariableValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRFillDatasetScriptlet

    public JRFillDatasetScriptlet(JRFillDataset dataset)

Method Detail

### setData

    public void setData(java.util.Map parsm,
                        java.util.Map fldsm,
                        java.util.Map varsm,
                        JRFillGroup[] grps)

  Overrides:
    `setData` in class `JRAbstractScriptlet`

### beforeReportInit

    public void beforeReportInit()
                          throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before the report is initialized.

  Specified by:
    `beforeReportInit` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### afterReportInit

    public void afterReportInit()
                         throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called after the report is initialized.

  Specified by:
    `afterReportInit` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### beforePageInit

    public void beforePageInit()
                        throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before each page is initialized.

  Specified by:
    `beforePageInit` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### afterPageInit

    public void afterPageInit()
                       throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called after each page is initialized.

  Specified by:
    `afterPageInit` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### beforeColumnInit

    public void beforeColumnInit()
                          throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before each column is initialized.

  Specified by:
    `beforeColumnInit` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### afterColumnInit

    public void afterColumnInit()
                         throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called after each column is initialized.

  Specified by:
    `afterColumnInit` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### beforeGroupInit

    public void beforeGroupInit(java.lang.String groupName)
                         throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before a group is initialized.

  Specified by:
    `beforeGroupInit` in class `JRAbstractScriptlet`
  Parameters:
    `groupName` - the group name
  Throws:
    `JRScriptletException`

### afterGroupInit

    public void afterGroupInit(java.lang.String groupName)
                        throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called after a group is initialized.

  Specified by:
    `afterGroupInit` in class `JRAbstractScriptlet`
  Parameters:
    `groupName` - the group name
  Throws:
    `JRScriptletException`

### beforeDetailEval

    public void beforeDetailEval()
                          throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before evaluating each detail.

  Specified by:
    `beforeDetailEval` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

### afterDetailEval

    public void afterDetailEval()
                         throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called after evaluating each detail.

  Specified by:
    `afterDetailEval` in class `JRAbstractScriptlet`
  Throws:
    `JRScriptletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com